function bloc(n)
load shet1
eiwt=exp(i*2*pi*(1:3284)/494);
emiwt=exp(i*2*(-pi)*(1:3284)/494);
b=fir1(600,[1/16.9809 1/15.9809]/15,kaiser(601,0));
moymob=ones(1,494)/494;
ve=vesh1(:,n)-vesh1(:,45);
vn=vnsh1(:,n)-vnsh1(:,45);
vi=ve+i*vn;
vif=filtr2h(vi);
vif17=filtfilt(b,1,vif);
 subplot(211)
 plot(abs(vif17))
 subplot(212)
 plot(angle(vif17))
 title('phase du courant de cisaillement (filtre a 2h) filtre autour de 17h bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('phase (rad)')
 subplot(211)
 title('amplitude du courant de cisaillement (filtre a 2h) filtre autour de 17h bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('amplitude (mm/s)')
 gtext('b=fir1(600,[1/16.9809 1/15.9809]/15,kaiser(601,0))')
 print
figure(2)
 subplot(211)
 vifplus=vif17.*eiwt.';
 vifmoins=vif17.*emiwt.';
 vianti=filtfilt(moymob,1,vifmoins);
 vicyclo=filtfilt(moymob,1,vifplus);
 viinertp=vianti.*eiwt.';
 viinertm=vicyclo.*emiwt.';
 subplot(212)
 plot(angle(viinertp))
 title('phase de la composante cyclonique du cisaillement (filtre a 2h) filtre autour de 17h bin 3/45') 
 ylabel('phase (rad)')
 xlabel('unite de temps (2 min)')
 subplot(211)
 plot(abs(viinertp))
 axis([0 3500 0 150])
title('amplitude de la composante cyclonique du cisaillement (filtre a 2h) filtre autour de 17h bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('amplitude (mm/s)')
 print
figure(4)
 subplot(211)
 plot(abs(viinertm))
 title('amplitude de la composante anticyclonique du cisaillement (filtre a 2h) filtre autour de 17h bin 3/45') 
 ylabel('amplitude (mm/s)')
 xlabel('unite de temps (2 min)')
 subplot(212)
 plot(angle(viinertm))
 title('phase de la composante anticyclonique du cisaillement (filtre a 2h) filtre autour de 17h bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('phase (rad)')
 print
figure(5)
 subplot(211)
 plot(abs(vif-vif17))
 title('amplitude du cisaillement (filtre a 2h) moins l onde inertielle bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('amplitude (mm/s)')
 subplot(212)
 plot(angle(vif-vif17))
 title('phase du cisaillement (filtre a 2h) moins l onde inertielle bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('phase (rad)')
 print
figure(6)
 subplot(211)
 plot(real(vif)-real(vif17))
 title('composante EST de la vitesse (filtre a 2h) moins l onde inertielle bin 3/45') 
 xlabel('unite de temps (2 min)')
 ylabel('amplitude (mm/s)')
 subplot(212)
 plot(imag(vif)-imag(vif17))
 title('composante NORD de la vitesse (filtre a 2h) moins l onde inertielle bin 3/45') 
 ylabel('amplitude (mm/s)')
 xlabel('unite de temps (2 min)')
 print
 